Package org.eclipse.mat.report.internal

# Class PartsFactory

java.lang.Object
org.eclipse.mat.report.internal.PartsFactory

public class PartsFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`PartsFactory()`

## Method Summary

Modifier and Type
Method
Description
`AbstractPart`
`create(AbstractPart parent, Spec spec)`
`AbstractPart`
`createClone(AbstractPart template, Spec spec)`
`AbstractPart`
`createRoot(Spec spec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PartsFactory

public PartsFactory()

## Method Details

### createRoot

public AbstractPart createRoot(Spec spec)

### create

public AbstractPart create(AbstractPart parent, Spec spec)

### createClone

public AbstractPart createClone(AbstractPart template, Spec spec)